
CoCoA-5 - Support #1318

Clean CoCoA-5/tests directory

25 Sep 2019 14:25 - John Abbott

Status: Closed Start date: 25 Sep 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Cleaning Estimated time: 1.49 hour

Target version: CoCoA-5.3.0 Spent time: 1.45 hour

Description

There are some old files in CoCoA-5/tests/ which seems no longer to be used.  Perhaps delete them?

Related issues:

Related to CoCoA-5 - Support #1311: THINGS TO DO IN GENOVA September 2019 Closed 11 Sep 2019

History

#1 - 25 Sep 2019 18:15 - John Abbott

Here is a list of apparently redundant files:

assert.cocoa5

TBC

#2 - 25 Sep 2019 18:15 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#3 - 27 Sep 2019 18:09 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

Here are the tests which we might want to keep:

packages.cocoa5

parameters.cocoa5

protection.cocoa5

tagging.cocoa5

The others have either been deleted (mostly the old ones from 2010), or added to the Makefile.

#4 - 27 Sep 2019 18:12 - John Abbott

- Assignee set to Anna Maria Bigatti

Some TutHokkaido tests fail (non-zero exit status in 3 cases).

#5 - 27 Sep 2019 18:21 - John Abbott

test-output.cocoa5 fails with "wrong output"  ???

If run inside emacs using C-c C-f, the test produces no output; but if run as a command line arg, it seems to produce a blank line.  Odd!!
#6 - 11 Oct 2019 22:17 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

#7 - 13 Feb 2020 17:17 - John Abbott

- Status changed from Resolved to Closed

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

- % Done changed from 80 to 100

- Estimated time set to 1.49 h

Marked some tests as INACTIVE (by changing file name); Anna thinks it is best to keep these tests around, in case we ever delve into the interpreter.

I activated tagging.cocoa5 (because it was easy to activate).

#8 - 26 Feb 2020 16:31 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.0 to CoCoA-5.3.0
